<?php
/**
 * @author Zoltán Zvara
 * @package Control
 * @version 1.0
 */

/**
 * Class used to redirect with HTTP header.
 */
class Redirect
{
    /**
     * Destination, where to redirect.
     * @var string
     */
    private $destination;

    /**
     * Creates a new redirection.
     * @param string $destination
     * @returns Redirect
     */
    public function __construct($destination)
    {
        $this->destination = $destination;
    }

    /**
     * Starts the redirection, then exits.
     */
    public function go()
    {
        header("Location: " . $this->destination);
        exit;
    }

    /**
     * Redirect with basic functionality.
     * @param string $destination
     */
    public static function simple($destination)
    {
        $redirectObject = new Redirect($destination);
        $redirectObject->go();
    }
}